Obtener un cliente padre por ID
curl --request GET \
--url https://api.raul.ugps.io/api/v1/client_father/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/client_father/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"linkedinUrl": {},
"linkedinSummary": {},
"paymentTerms": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
],
"contacts": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
],
"contactList": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
]
}Client Father
Obtener un cliente padre por ID
Operacion: Obtener un cliente padre por ID.
GET
/
api
/
v1
/
client_father
/
{id}
Obtener un cliente padre por ID
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
ID del cliente padre (UUID)
Response
Cliente padre obtenido exitosamente
ID del cliente padre
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
URL de LinkedIn de la empresa matriz
Resumen del perfil de LinkedIn
Plazo de pago en días
Requiere factura
Requiere orden de compra
Requiere HES
Fecha de creación
Fecha de actualización
Lista de clientes hijos
Show child attributes
Show child attributes
Lista de contactos asociados a la empresa matriz
Show child attributes
Show child attributes
Alias legacy para contactos asociados a la empresa matriz
Show child attributes
Show child attributes